import { Instance as TippyInstance } from 'tippy.js';
import { ObjectDirective } from 'vue';
declare const _mode: unique symbol;
type VTippyMode = 'inline' | 'target';
declare const _tippy: unique symbol;
declare global {
    interface HTMLElement {
        [_mode]?: VTippyMode;
        [_tippy]?: TippyInstance;
    }
}
export type MentionBinding = string | undefined;
declare const MentionDirective: ObjectDirective<HTMLElement, MentionBinding>;
export { MentionDirective, MentionDirective as vMention };
